# Uses of Class
org.eclipse.nebula.widgets.grid.Grid

Packages that use Grid
Package
Description
org.eclipse.nebula.jface.gridviewer
org.eclipse.nebula.widgets.grid

## Uses of Grid in org.eclipse.nebula.jface.gridviewer

Methods in org.eclipse.nebula.jface.gridviewer that return Grid
Modifier and Type
Method
Description
`Grid`
GridTableViewer.`getGrid()`
Returns the underlying Grid Control.
`Grid`
GridTreeViewer.`getGrid()`
Returns the underlying `Grid` Control.
Constructors in org.eclipse.nebula.jface.gridviewer with parameters of type Grid
Modifier
Constructor
Description
``
`GridTableViewer(Grid grid)`
Creates a grid viewer on the given grid control.
``
`GridTreeViewer(Grid grid)`
Creates a grid tree viewer on the given grid control.

## Uses of Grid in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid that return Grid
Modifier and Type
Method
Description
`Grid`
GridColumn.`getParent()`
Returns the parent grid.
`Grid`
GridColumnGroup.`getParent()`
Returns the parent grid.
`Grid`
GridItem.`getParent()`
Returns the receiver's parent, which must be a `Grid`.
Constructors in org.eclipse.nebula.widgets.grid with parameters of type Grid
Modifier
Constructor
Description
``
`GridColumn(Grid parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Grid`) and a style value describing its behavior and appearance.
``
`GridColumn(Grid parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Grid`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.
``
`GridColumnGroup(Grid parent, int style)`
Constructs a new instance of this class given its parent (which must be a Grid) and a style value describing its behavior and appearance.
``
`GridEditor(Grid table)`
Creates a TableEditor for the specified Table.
``
`GridItem(Grid parent, int style)`
Creates a new instance of this class and places the item at the end of the grid.
``
`GridItem(Grid parent, int style, int index)`
Creates a new instance of this class and places the item in the grid at the given index.